Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class TBSCertList

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.TBSCertList

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TBSCertList
extends ASN1Object

PKIX RFC-2459 - TBSCertList object. TBSCertList ::= SEQUENCE { version Version OPTIONAL, -- if present, shall be v2 signature AlgorithmIdentifier, issuer Name, thisUpdate Time, nextUpdate Time OPTIONAL, revokedCertificates SEQUENCE OF SEQUENCE { userCertificate CertificateSerialNumber, revocationDate Time, crlEntryExtensions Extensions OPTIONAL -- if present, shall be v2 } OPTIONAL, crlExtensions [0] EXPLICIT Extensions OPTIONAL -- if present, shall be v2 }

Nested Class Summary
`static class` | `TBSCertList.CRLEntry`

Constructor Summary
`TBSCertList(ASN1Sequence seq)`

Method Summary
`Extensions` | `getExtensions()`
`static TBSCertList` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static TBSCertList` | `getInstance(java.lang.Object obj)`
`X500Name` | `getIssuer()`
`Time` | `getNextUpdate()`
`java.util.Enumeration` | `getRevokedCertificateEnumeration()`
`TBSCertList.CRLEntry[]` | `getRevokedCertificates()`
`AlgorithmIdentifier` | `getSignature()`
`Time` | `getThisUpdate()`
`ASN1Integer` | `getVersion()`
`int` | `getVersionNumber()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBSCertList

    public TBSCertList(ASN1Sequence seq)

Method Detail

### getInstance

    public static TBSCertList getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static TBSCertList getInstance(java.lang.Object obj)

### getVersionNumber

    public int getVersionNumber()

### getVersion

    public ASN1Integer getVersion()

### getSignature

    public AlgorithmIdentifier getSignature()

### getIssuer

    public X500Name getIssuer()

### getThisUpdate

    public Time getThisUpdate()

### getNextUpdate

    public Time getNextUpdate()

### getRevokedCertificates

    public TBSCertList.CRLEntry[] getRevokedCertificates()

### getRevokedCertificateEnumeration

    public java.util.Enumeration getRevokedCertificateEnumeration()

### getExtensions

    public Extensions getExtensions()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD